Bug 98802 - PCMCIA/IRQ problem on Sony laptops with kernel 2.4.20-8, but not with vanilla kernel
PCMCIA/IRQ problem on Sony laptops with kernel 2.4.20-8, but not with vanilla...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 17:54 EDT by Dan Stanzione
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 23:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Stanzione 2003-07-08 17:54:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
There seem to be several PCMCIA related bugs, but I couldn't find 
this one exactly, and this may be at the root of others.

I have a Sony R505JE laptop.  Pcmcia cards worked fine with RH 7.2
and 2.4.7 and 2.4.18 kernels.

When upgrading to RH 9.0, I received the following message at boot:



This message could be repeated at any time by doing a "modprobe yenta_socket". 
 Naturally, this prevented other PCMCIA drivers for 
loading, so no cards would work (I primarily tested with an Orinoco
wireless card).  Since this had worked in the past, after much 
experimenting I tried building a vanilla 2.4.20 kernel, and lo
and behold, it worked right.  

So, it appears to be something in the RH 2.4.20-8 kernel.  
Trying the newer builds of 2.4.20 from RPM did not fix the 
problem.  Rebuilding from Redhat kernel source RPMs
also did not fix the problem. 


Version-Release number of selected component (if applicable):
kernel-2.4.20-8 and later builds.

How reproducible:
Always

Steps to Reproduce:
1. Install Redhat 9 on a sony R505JE
2. Start PCMCIA services or modprobe yenta_socket
3. Try and use any card.
    

Actual Results:  Cards non-functional, /var/log/messages reports:

kernel: PCI: No IRQ known for interrupt A of device 01:02.0.


Expected Results:  Card drivers should load, card should work :)

Additional info:

I would be happy to provide my kernel config files from the kernel
I was able to build that fixed the problem, and I would be happy to 
volunteer to test new rpms or patches on my hardware, since sony 
has so many #$@! configurations.
Comment 1 Dan Stanzione 2003-07-08 18:01:12 EDT
Oops, I must have deleted the boot message; in the original description, the
third paragraph should read:
--------------------------------------
When upgrading to RH 9.0, I received the following message at boot:

kernel: PCI: No IRQ known for interrupt A of device 01:02.0.

--------------------------------------
Sorry, stupid user error :)




Comment 2 Josh Bressers 2004-06-18 17:33:04 EDT
Removing security severity; This is not a security issue.
Comment 3 Dave Jones 2004-10-25 23:59:01 EDT
end-of-life, please reopen if reproducable with a currently supported distribution.

Note You need to log in before you can comment on or make changes to this bug.